Bug 145903 - Kernel hangs during hardware initialization 1st boot after install
Kernel hangs during hardware initialization 1st boot after install
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-23 12:29 EST by Christian Tadrus
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:04:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Tadrus 2005-01-23 12:29:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.5.5 (KHTML, like Gecko) Safari/125.12

Description of problem:
After install of FC3 (multiple installs, different configuations) system hangs on first boot after ... storage...network...audio

Interactive mode does not work either.

Have tried various suggestions such as editing kernel with acpi=off and deleting rghb and quiet replacing with 3, etc.

Interactive prompt still not available when hitting I (at any point from boot) and system always hangs after ...audio.

Can boot linux rescue to command prompt but only if I skip eth0 (hangs there, too)

Hardware is Dell Inspiron 8000 with A21 BIOS, ATI graphics, ESS Maestro audio.  BIOS does not allow for disabling audio nor can the audio card be removed as this is an integrated laptop.

I am grateful for any help at this point as I haven't even been able to boot the OS for the first time (other than install and rescue modes).

Thanks in advance

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Turn on computer
2.Frantically type "I" over and over again with no results
3.Wait for system to hang after ...audio...

    

Actual Results:  Nothing

Expected Results:  Should not hang

Additional info:
Comment 1 Sitsofe Wheeler 2005-01-23 13:46:10 EST
I bet this is USB related and if it is I ran into this exact same problem
yesterday. Does booting with the nousb parameter help?
Comment 2 Christian Tadrus 2005-01-23 13:55:30 EST
Don't know. Haven't tried.  But I will add the parameter and follow up.  Thanks 
for the lead.

What I can't determine is if audio loaded correctly and it is the next module 
that is causing the hang.  I just don't know what comes after audio to be able 
to know what to disable. 

Does anyone know if there is a link that shows kernel options that might be 
useful in debugging this problem?

Really appreciate the response, Sitsofe.
Comment 3 Christian Tadrus 2005-01-23 13:57:56 EST
Don't know. Haven't tried.  But I will add the parameter and follow up.  Thanks 
for the lead.

What I can't determine is if audio loaded correctly and it is the next module 
that is causing the hang.  I just don't know what comes after audio to be able 
to know what to disable. 

Does anyone know if there is a link that shows kernel options that might be 
useful in debugging this problem?

Really appreciate the response, Sitsofe.
Comment 4 Christian Tadrus 2005-01-23 14:22:21 EST
Just a followup with more info...

RE: usb.  I had disabled Legacy USB support in the BIOS without luck.  

I am wondering if the hangup is the ATI video card since it allows for two 
monitors.  Possibly FC3 is having trouble differentiating LCD vs. VGA out.



Comment 5 Christian Tadrus 2005-01-23 17:13:24 EST
Found this on the web today, do you think this might help?  IF so, is there a 
way to get the update when the computer won't yet recognize the ip hardware etc?

Thanks again.

http://www.linuxsecurity.com/content/view/117924

* Thu Jan 13 2005 Dave Jones 
- Update to 2.6.10-ac9
- Fix slab corruption in ACPI video code.

This update can be downloaded from:
  http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/

577dbd8cabfd0416fe7112b4c96c07f3  SRPMS/kernel-2.6.10-1.741_FC3.src.rpm
2483d17b694756279149f955e0a2ceaf  x86_64/kernel-2.6.10-1.741_FC3.x86_64.rpm
19eec5a6827f1285e3249c7a441a970d  x86_64/kernel-smp-2.6.10-1.741_FC3.x86_64.rpm
a2c09307259042d1e90b4910ce741999  x86_64/debug/kernel-debuginfo-2.6.10-
1.741_FC3.x86_64.rpm
a09e23b469dc0981a054dcbc979429e0  x86_64/kernel-doc-2.6.10-1.741_FC3.noarch.rpm
ef6ec76b36721c6610de383aa6a02631  i386/kernel-2.6.10-1.741_FC3.i586.rpm
d2d41579dd1d90f2454eb8195455d859  i386/kernel-smp-2.6.10-1.741_FC3.i586.rpm
f41ea9b8b4b9ac85a3a690642eb48a3c  i386/debug/kernel-debuginfo-2.6.10-
1.741_FC3.i586.rpm
c12673b9d5a1ff15058239b0860f250c  i386/kernel-2.6.10-1.741_FC3.i686.rpm
0ff39cefcc3511f36597383c1469b05f  i386/kernel-smp-2.6.10-1.741_FC3.i686.rpm
35f3b81d0d090b019ec0d76e2df6f47c  i386/debug/kernel-debuginfo-2.6.10-
1.741_FC3.i686.rpm
a09e23b469dc0981a054dcbc979429e0  i386/kernel-doc-2.6.10-1.741_FC3.noarch.rpm

This update can also be installed with the Update Agent; you can
launch the Update Agent with the 'up2date' command.  
---------------------------------------------------------------------

--
fedora-announce-list mailing list
fedora-announce-list@redhat.com
http://www.redhat.com/mailman/listinfo/fedora-announce-list
Comment 6 Sitsofe Wheeler 2005-01-23 18:16:17 EST
Ah I didn't make myself clear. When grub first starts press e and edit the
kernel line. Add nousb to the end, press return and then boot.

Disabling legacy USB isn't quite the same as totally disabling USB (although
maybe your BIOS will let you do the later too).
Comment 7 Christian Tadrus 2005-01-23 22:02:52 EST
Thanks for the suggestion re: GRUB kernel line modification using "nousb" but that doesn't 
seem to affect the computer one way or another. 

I'm really baffled.  Keyboard registers "I" for interactive mode but yet, the boot never 
allows it.  

I'm beginning to think there is some hardware conflict. I've confirmed the hardware 
compatibilty for my equipment and all parts on the Inspiron are considered "compatible" 
with FC3 including the ESS maestro 3.

Really frustrating. 

Thanks for the suggestions.
Comment 8 Dave Jones 2005-07-15 14:46:14 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 9 Dave Jones 2005-10-02 21:04:07 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.